<?php declare(strict_types=1);

namespace Shopware\Recovery\Update\Results;

use Shopware\Core\Framework\Log\Package;

#[Package('system-settings')]
class DeleteResult
{
    /**
     * @var bool
     */
    private $isReady;

    /**
     * @var int
     */
    private $fileCount;

    /**
     * @param int $fileCount
     */
    public function __construct($fileCount = 0)
    {
        $this->isReady = false;
        $this->fileCount = $fileCount;
    }

    /**
     * @return string
     */
    public function getType()
    {
        return self::class;
    }

    /**
     * @return bool
     */
    public function getIsReady()
    {
        return $this->isReady;
    }

    /**
     * @return int
     */
    public function getFileCount()
    {
        return $this->fileCount;
    }

    /**
     * sets $this->isReady to "true"
     */
    public function setReady(): void
    {
        $this->isReady = true;
    }

    /**
     * Counts a $this->fileCount high
     */
    public function countUp(): void
    {
        ++$this->fileCount;
    }
}
