<?php declare(strict_types=1);

namespace Shopware\Tests\Unit\Core\Framework\Adapter\Cache\Message;

use PHPUnit\Framework\TestCase;
use Shopware\Core\Framework\Adapter\Cache\CacheClearer;
use Shopware\Core\Framework\Adapter\Cache\Message\CleanupOldCacheFolders;
use Shopware\Core\Framework\Adapter\Cache\Message\CleanupOldCacheFoldersHandler;

/**
 * @internal
 *
 * @covers \Shopware\Core\Framework\Adapter\Cache\Message\CleanupOldCacheFoldersHandler
 */
class CleanupOldCacheFoldersHandlerTest extends TestCase
{
    public function testGetHandledMessages(): void
    {
        static::assertEquals([CleanupOldCacheFolders::class], CleanupOldCacheFoldersHandler::getHandledMessages());
    }

    public function testInvoke(): void
    {
        $cacheClearer = $this->createMock(CacheClearer::class);
        $cacheClearer->expects(static::once())->method('cleanupOldContainerCacheDirectories');

        $handler = new CleanupOldCacheFoldersHandler($cacheClearer);
        $handler(new CleanupOldCacheFolders());
    }
}
